<?php

$menu = [
    [
        'name'    => 'fastim',
        'title'   => '企业IM客服系统',
        'icon'    => 'fa fa-commenting-o',
        'sublist' => [
            [
                'name'    => 'fastim/config',
                'title'   => 'IM配置',
                'icon'    => 'fa fa-gears',
                'weigh'   => '99',
                'sublist' => [
                    ['name' => 'fastim/config/index', 'title' => '查看'],
                    ['name' => 'fastim/config/update', 'title' => '编辑'],
                ]
            ],
            [
                'name'    => 'fastim/user',
                'title'   => '用户管理',
                'icon'    => 'fa fa-users',
                'weigh'   => '98',
                'sublist' => [
                    ['name' => 'fastim/user/index', 'title' => '查看'],
                    ['name' => 'fastim/user/edit', 'title' => '编辑'],
                    ['name' => 'fastim/user/del', 'title' => '删除'],
                    ['name' => 'fastim/user/loaduser', 'title' => '在其他模块选择用户']
                ]
            ],
            [
                'name'    => 'fastim/session',
                'title'   => '会话管理',
                'icon'    => 'fa fa-user',
                'weigh'   => '97',
                'sublist' => [
                    ['name' => 'fastim/session/index', 'title' => '查看'],
                    ['name' => 'fastim/session/record', 'title' => '浏览沟通记录']
                ]
            ],
            [
                'name'    => 'fastim/groupchat',
                'title'   => '群聊管理',
                'icon'    => 'fa fa-users',
                'weigh'   => '96',
                'sublist' => [
                    ['name' => 'fastim/groupchat/index', 'title' => '查看'],
                    ['name' => 'fastim/groupchat/edit', 'title' => '编辑'],
                    ['name' => 'fastim/groupchat/record', 'title' => '浏览沟通记录']
                ]
            ],
            [
                'name'    => 'fastim/fast_reply',
                'title'   => '快捷回复管理',
                'icon'    => 'fa fa-pencil',
                'weigh'   => '95',
                'sublist' => [
                    ['name' => 'fastim/fast_reply/index', 'title' => '查看'],
                    ['name' => 'fastim/fast_reply/add', 'title' => '增加'],
                    ['name' => 'fastim/fast_reply/edit', 'title' => '编辑'],
                    ['name' => 'fastim/fast_reply/del', 'title' => '删除'],
                    ['name' => 'fastim/fast_reply/multi', 'title' => '批量更新'],
                    ['name' => 'fastim/fast_reply/recyclebin', 'title' => '回收站'],
                    ['name' => 'fastim/fast_reply/destroy', 'title' => '真实删除'],
                    ['name' => 'fastim/fast_reply/restore', 'title' => '还原'],
                ]
            ],
            [
                'name'    => 'fastim/kbs',
                'title'   => '知识库管理',
                'icon'    => 'fa fa-book',
                'weigh'   => '94',
                'sublist' => [
                    ['name' => 'fastim/kbs/index', 'title' => '查看'],
                    ['name' => 'fastim/kbs/add', 'title' => '增加'],
                    ['name' => 'fastim/kbs/edit', 'title' => '编辑'],
                    ['name' => 'fastim/kbs/del', 'title' => '删除'],
                    ['name' => 'fastim/kbs/multi', 'title' => '批量更新'],
                    ['name' => 'fastim/kbs/recyclebin', 'title' => '回收站'],
                    ['name' => 'fastim/kbs/destroy', 'title' => '真实删除'],
                    ['name' => 'fastim/kbs/restore', 'title' => '还原'],
                    ['name' => 'fastim/kbs/import', 'title' => '导入'],
                ]
            ],
            [
                'name'    => 'fastim/csr_group',
                'title'   => '客服分组管理',
                'icon'    => 'fa fa-cubes',
                'weigh'   => '93',
                'sublist' => [
                    ['name' => 'fastim/csr_group/index', 'title' => '查看'],
                    ['name' => 'fastim/csr_group/add', 'title' => '增加'],
                    ['name' => 'fastim/csr_group/edit', 'title' => '编辑'],
                    ['name' => 'fastim/csr_group/del', 'title' => '删除'],
                    ['name' => 'fastim/csr_group/multi', 'title' => '批量更新'],
                    ['name' => 'fastim/csr_group/recyclebin', 'title' => '回收站'],
                    ['name' => 'fastim/csr_group/destroy', 'title' => '真实删除'],
                    ['name' => 'fastim/csr_group/restore', 'title' => '还原'],
                ]
            ],
            [
                'name'    => 'fastim/report',
                'title'   => '举报与反馈管理',
                'icon'    => 'fa fa-feed',
                'weigh'   => '92',
                'sublist' => [
                    ['name' => 'fastim/report/index', 'title' => '查看'],
                    ['name' => 'fastim/report/edit', 'title' => '编辑'],
                    ['name' => 'fastim/report/del', 'title' => '删除'],
                    ['name' => 'fastim/report/multi', 'title' => '批量更新']
                ]
            ],
            [
                'name'    => 'fastim/records',
                'title'   => '聊天记录汇总管理',
                'icon'    => 'fa fa-file-text-o',
                'weigh'   => '91',
                'sublist' => [
                    ['name' => 'fastim/records/index', 'title' => '查看'],
                    ['name' => 'fastim/records/edit', 'title' => '编辑'],
                    ['name' => 'fastim/records/del', 'title' => '删除']
                ]
            ]
        ]
    ]
];

return $menu;